////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Shader for masks with stencil, transparent pixels of texture will be discarded
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

void main()
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    if (color.a > 0.1)
    {
        gl_FragColor = color;
    }
    else
    {
        discard;
    }
}
