precision mediump float;
uniform sampler2D texture;
uniform sampler2D mask;
varying lowp vec2 v_texCoords;
varying lowp vec4 v_color;
uniform lowp float strength;

void main(void)
{
    vec4 color = texture2D(texture, v_texCoords);
    vec4 maskColor = texture2D(mask, v_texCoords);
    float finalOpacity = strength * color.a;
    vec4 finalColor = vec4(color.r, color.g, color.b, maskColor.a * finalOpacity);
    gl_FragColor = finalColor;
}
